Returns all placements that are compatible with the specified banner and not yet linked to it.
Reference
GET https://YOUR-NETWORK-DOMAIN/rest-api/banner/{bannerId}/matchplacements.do
Returns all placements that are compatible with the specified banner and not yet linked to it. Compatibility is determined by placement type, zone, and site sharing rules. Results can be filtered by publisher category IDs and/or placement label names. Each carries id, name, type, zoneId, siteId and, for a placement with a size, width and height. Requires VIEW permission on the banner's advertiser and PLACEMENT_LABELS permission if filtering by labels.
Path Params
bannerIdintegerrequired
ID of the banner to find matching placements for
3001
Query Params
publisherCategoriesarray<integer>
IDs of publisher categories to filter matching placements by
using var client = new HttpClient();
var request = new HttpRequestMessage(new HttpMethod("GET"), "https://YOUR-NETWORK-DOMAIN/rest-api/banner/3001/matchplacements.do?publisherCategories=10&labels=premium");
request.Headers.Add("X-Api-Key", "YOUR_API_KEY");
var response = await client.SendAsync(request);
Console.WriteLine(await response.Content.ReadAsStringAsync());